repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
      - id: check-yaml
        always_run: true
      - id: check-json
        always_run: true
      - id: end-of-file-fixer
        always_run: true
      - id: trailing-whitespace
        always_run: true
  - repo: https://github.com/psf/black
    rev: 21.11b1
    hooks:
      - id: black
        always_run: true
        language_version: python3.8
        args: [".", "--check"]
  - repo: https://gitlab.com/pycqa/flake8
    rev: 3.9.2
    hooks:
      - id: flake8
        always_run: true
        args:
          - --max-line-length=120
  - repo: local
    hooks:
      - id: pytest
        name: pytest
        entry: poetry run pytest
        pass_filenames: false
        language: system
        always_run: true
        verbose: true
        args:
          - --cov=aoc2021
          - --cov-config=.coveragerc
          - --cov-report=term-missing
          - tests
